%global momorel 3

Summary: Video CD authoring tool
Name:    vcdimager
Version: 0.7.23
Release: %{momorel}m%{?dist}
Group:   Applications/Multimedia
License: GPL
URL:     http://www.vcdimager.org/
%NoSource 0 http://www.vcdimager.org/pub/%{name}/%{name}-0.7/%{name}-%{version}.tar.gz 5e7d80fdbf0037ad20e438f2a9573253
BuildRequires: libcdio-devel
Requires: libcdio
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
GNU VCDImager is a full-featured mastering suite for authoring, disassembling and analyzing Video CD's and Super Video CD's.

The core functionality consists of directly making Video CD BIN/CUE-style CD images from mpeg files, which (after being written to CDR(W) media) can be played on standalone VCD players or DVD players and on computers running GNU/Linux, MacOS, Win32 or any other OS capable of accessing VCD's. BIN/CUE images can be burned with [cdrdao] (please use a recent version, since older ones do not support BIN/CUE-style cuesheets) under GNU/Linux (and other supported platforms by cdrdao, e.g. freeBSD, Irix, Solaris and even win32) 

%package devel
Summary:        %{name} header files and development documentation
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Header files and development documentation for %{name}


%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

rm -rf %{buildroot}/%{_libdir}/*.la

# remove unused file
rm -rf %{buildroot}/%{_infodir}/dir

%clean
rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/vcdimager.info %{_infodir}/dir
#/sbin/install-info %{_infodir}/vcd-info.info %{_infodir}/dir
/sbin/install-info %{_infodir}/vcdxrip.info %{_infodir}/dir
/sbin/ldconfig

%preun
if [ "$1" = 0 ] ;then
#  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/vcd-info.info
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/vcdimager.info
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/vcdxrip.info
fi

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc README INSTALL ChangeLog AUTHORS COPYING NEWS
%{_bindir}/*
%{_libdir}/*.so.*
%{_mandir}/man1/*
%{_infodir}/*.info*

%files devel
%{_includedir}/libvcd
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/*.pc

%changelog
* Fri Jan 26 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.23-3m)
- revise %%files to avoid conflicting

* Tue Dec 12 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.23-2m)
- revise %%files to avoid conflicting
- /usr/include is already provided by filesystem

* Wed Dec 06 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.7.23-1m)
- initial packaging for Momonga
